#include <stdio.h>
#include <stdlib.h>
#include "niz.h"

// Glavna funkcija u C programu
void main() {
	// U beskonacnoj while petlji redom:
	while (1) {
		int *niz;
		int n, i;
		// Unosimo broj elemenata niza
		printf("Unesite broj elemenata:\n");
		scanf_s("%d", &n);
		// i u slucaju unosa neodgovarajuceg broja, prekidamo petlju i rad programa
		if (n <= 0) break;
		// kreiramo niz od 'n' elemenata i ispitujemo uspesnost malloc funkcije
		niz = malloc(n * sizeof(int));
		if (niz == NULL) {
			printf("Doslo je do greske.\n");
			break;
		}
		// Unosimo elemente niza
		printf("Unesite elemente niza\n");
		for (i = 0; i < n; i++) {
			scanf_s("%d", &niz[i]);
		}
		// Vrsimo poziv funkcije za sabiranje elemenata niza
		sumaElemenata(niz, n);
		// Zatim unosimo poziciju i vrednost novog elementa u nizu
		printf("Unesite poziciju i vrednost elementa kojeg zelite da unesete\n");
		int poz, elem;
		scanf_s("%d", &poz);
		scanf_s("%d", &elem);
		// Pozivamo funkciju za unos novog elementa i vrsimo proveru njene uspesnosti
		int retVal = ubaciNoviElement(&niz, &n, poz, elem);
		if (retVal == -1) {
			printf("Doslo je do greske.\n");
			break;
		}
		// Na kraju ispisujemo ceo niz
		for (i = 0; i < n; i++) {
			printf("%d ", niz[i]);
		}
		printf("\n");
		// i oslobadjamo dinamicku zonu memorije
		free(niz);
	}
}